import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

const routes = [{
    path: '*',
    redirect: '/index'
  },
  {
    path: '/staffRecordsTemplate',
    name: '员工档案',
    component: () => import('./views/contacts/staffRecordsTemplate'),
    meta: {
      title: '员工档案'
    }
  },
  {
    path: '/systemTemplate',
    name: '系统模板',
    component: () => import('./views/app/systemTemplate'),
    meta: {
      title: '系统模板'
    }
  },
  {
    path: '/defineTemplate',
    name: '自定义模板',
    component: () => import('./views/app/defineTemplate'),
    meta: {
      title: '自定义模板'
    }
  },
  {
    name: 'index',
    path: '/index',
    component: () =>
      import ('./views/index'),
    meta: {
      title: '首页'
    }
  }
];

// add route path
routes.forEach(route => {
  route.path = route.path || '/' + (route.name || '');
});

const router = new Router({
  /* mode: 'history',
  base: '/', */
  routes
});

router.beforeEach((to, from, next) => {
  const title = to.meta && to.meta.title;
  if (title) {
    document.title = title;
  }
  next();
});

export {
  router
};
